services:
  jellyfin:
    image: jellyfin/jellyfin:latest
    container_name: jellyfin
    user: 1000:100
    dns:
      - 1.1.1.1
      - 8.8.8.8
    environment:
      - TZ=Europe/Paris # Fuseau horaire
      - JELLYFIN_PublishedServerUrl=ADRESSE-IP-OU-NDD # Adresse IP (ou nom DNS) pour Jellyfin
    volumes:
      - ./config:/config:rw # Répertoire config du conteneur
      - ./cache:/cache:rw # Répertoire cache du conteneur
      - ./storage:/videos:ro # Répertoire partagé à mapper pour la médiathèque
    devices:
      - /dev/dri/renderD128:/dev/dri/renderD128
      - /dev/dri/card0:/dev/dri/card0
    ports:
      - 8096:8096/tcp # Jellyfin sera accessible sur le port 8096
    #network_mode: bridge
    security_opt:
      - no-new-privileges:true
    restart: always
